=== debian/changelog ===
dgit (13.17~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Nov 2025 13:41:47 +0000

dgit (13.17) unstable; urgency=medium

  git-debrebase:
  * Merge resolution: tolerate nested vanilla merges, and maybe
    deal bettter with other unusual situations.
    Closes: #1116600.  [Report from David Bremner]

  dgit:
  * Try downloading missing artefacts from incoming.d.o/debian-buildd.
    Reduces apparent archive skew, eg with "dgit fetch".
    In tag2upload, will better handle quick re-upload after a new upstream.
    Closes: #1111728.  [Suggested by Colin Watson]
  * download-unfetched-origs: Check that bpd exists, failng early if not.
  * Report filename, not url, in "downloading" message, unless all are 404.
  * On an archive file mismatch, print lengths too, not just hashes.

  git-debpush [Sean Whitton]:
  * Minor improvements to some mesages.

  Documentation:
  * tag2upload: Add some xrefs in TAG2UPLOAD-DESIGN.txt.
  * Retrospectively add two missed bug Closes to entries for 12.12 and 12.1.

  i18n:
  * nl: Updated messages and dgit-user(7).
    Closes: #1115336, #1115338.  [Frans Spiesschaert]
  * pt: Added git-debrebase(5); updated tag2upload(5).
    Closes: #1118296.  [Américo Monteiro]

  Supporting work:
  * Much refactoring of download handlng.
  * Better testing of download-unfetched-origs.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 24 Oct 2025 19:06:20 +0100
