## dgit 13.17

=== changelog ===
example (1.0-1.100) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:54 +0100

example (1.0-1.99) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.98) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.97) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.96) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.95) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.94) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.93) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.92) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.91) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.90) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.89) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.88) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:53 +0100

example (1.0-1.87) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.86) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.85) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.84) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.83) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.82) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.81) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.80) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.79) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.78) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.77) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.76) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.75) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:52 +0100

example (1.0-1.74) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.73) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.72) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.71) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.70) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.69) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.68) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.67) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.66) unstable; urgency=medium

  * Dummy update to make long changelog

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Oct 2016 18:17:51 +0100

example (1.0-1.65) unstable; urgency=medium


