=== control ===
Source: ruby-rails-3.2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-rails-3.2.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-rails.git;a=summary
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all

Package: ruby-rails-3.2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ruby-activesupport-3.2 (>= 3.2.6),
 ruby-activesupport-3.2 (<< 3.2.6.),
 ruby-actionpack-3.2 (>= 3.2.6),
 ruby-actionpack-3.2 (<< 3.2.6.),
 ruby-activerecord-3.2 (>= 3.2.6),
 ruby-activerecord-3.2 (<< 3.2.6.),
 ruby-activeresource-3.2 (>= 3.2.6),
 ruby-activeresource-3.2 (<< 3.2.6.),
 ruby-actionmailer-3.2 (>= 3.2.6),
 ruby-actionmailer-3.2 (<< 3.2.6.),
 ruby-railties-3.2 (>= 3.2.6),
 ruby-railties-3.2 (<< 3.2.6.),
 bundler,
 rubygems-integration
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
 .
 This package provides Rails version 3.2.

Package: rails3
Architecture: all
Depends: ruby-rails-3.2, ${shlibs:Depends}, ${misc:Depends}
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
 .
 This package is a convenience metapackage that depends on ruby-rails-3.2.
