## dgit 13.18~bpo13+1

=== debian/changelog ===
dgit (13.18~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 15 Dec 2025 11:11:37 +0000

dgit (13.18) unstable; urgency=medium

  git-debpush:
  * Disable interactively overriding some check failures.
    For check failures which indicate the upload will almost certainly fail,
    just exit.  [Prompted by feedback from Stuart Prescott]
  * git-debpush(1): Document some checks for which docs were missing.
  * git-debpush(1): One minor presentational tweak.

  tag2upload service:
  * Restart tag2upload-oracled on dgit-infrastructure.deb upgrades.
    Closes: #1117735.
  * Take a lock of /var/run/reboot-lock on the Oracle and Builder.
    Closes: #1118197.
  * Use our new custom tmpfs as TMPDIR on the Builder.
    Closes: #1118190.
  * tag2upload-builder-rebuild: Take the Debian release from the crontab.
  * Upgrade the Builder's Podman container bookworm->trixie.

  i18n:
  * pt: Add dgit(7); add git-debpush(1); update others.
    Closes: #1118952.  [Américo Monteiro]

  Test suite:
  * Rebuild dgit-infrastructure.deb before commencing Salsa CI.
    This is necessary because it can now gain a versioned dependency on
    init-system-helpers.
  * Delete t2u-integration-bookworm Salsa CI job.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Dec 2025 15:49:26 +0000
