## dgit 13.19~bpo13+1

=== debian/changelog ===
dgit (13.19~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Dec 2025 10:17:23 +0000

dgit (13.19) unstable; urgency=medium

  tag2upload development:
  * t2u oracled: Logging improvements.  [Sean Whitton]
  * t2u oracle-to-manager protocol document: introduce protocol 6,
    with provision for retries, and reporting of whether email sent.
    Not yet implemented.  See #1112106; tag2upload-service-manager#37.
    [Ian Jackson with assistance from Sean Whitton]

  Testing:
  * stunt changelog parser: cope with 'filename' in %options in innards.
    [Report from Guillem Jover]  Closes: #1123654.
  * New dev helper utility tests/install-deps-remove-debs.
  * Fix a protocol violation (race) by fake t2usm.
  * t2u-integration: don't kill the whole process group (race fix).
  * CI: Test against Debian testing.  See salsa-ci-team/pipeline#532.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 19 Dec 2025 14:43:29 +0000
