## dgit 13.20

=== debian/changelog ===
dgit (13.20) unstable; urgency=medium
  
  tag2upload development:
  * t2u o2m protocol: Restore the last attempt MESSAGE.
    [Mistake spotted by by Sean Whitton]

  Fixes to cope with new libdpkg-perl (Closes: #1123583):
  * git-deborig: Pass no_check as well as nocheck to spawn.
  * Dgit.pm: Provide and use reimplementation of is_native.
  * git-deborig: Suppress a new warning about is_native.

  i18n:
  * nl: Update Dutch message
    [Frans Spiesschaert]  Closes: #1120337.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 23 Dec 2025 19:17:30 +0000
