## dgit 14.0

=== debian/changelog ===
dgit (14.0) unstable; urgency=medium

  Possibly-breaking changes to dgit build subcommands:
  * dgit sbuild, pbuilder, cowbuilder: Run sbuild, pbuilder or cowbuilder
    in the original invocation directory, rather than the build-products-dir.
    Pass the the bpd via the appropriate command line option.
    [Report from Jochen Sprickerhof]  Closes: #1124014.
  * dgit pbuilder, cowbuilder: Pass -us -uc to dpkg-buildpacckage.

  Possibly-incompatible change in gitattributes handling:
  * Suprress all transforming gitattributes.
    - dgit suppresses export-* (in dgit clone, setup-new-tree, etc.)
    - git-deborig and tag2upload suppress non-export-* gitattributes.
    Generated tarballs/.origs will change, for affected git trees.
    [Report from Simon Josefsson]  Closes: #1111548.

  Synthetic commits' metadata change:
  * Use a fixed name & email address for the committer of dsc imports,
    rather than (ab)using the author details (from the package changelog).
    (dgit 14.x's imports' git history will not match earlier dgit's.)
    [Report from Cyril Brulebois via Philip Hands]  Closes: #1124226.

  i18n:
  * pt: Updated git-debpush(1), new translation dgit(1).
    [Américo Monteiro]  Closes: #1124136.

  Bugfixes:
  * git-deborig now never leaves behind an unwanted change to the user's
    .git/info/attributes.  Instead, on certain error paths, it can now leave
    the working tree's .gitattributes file dirtied.  Improves #1124383.
  * Use a .invalid domain (rather than example.com) for the non-user-facing
    internal commits in the reflog-based quilt fixup cache.

  tag2upload development [Sean Whitton]:
  * tag2upload-oracled: Speak manager protocol version 6.  
  * tag2upload-oracled: Improved logging.

  Supporting work:
  * Improvements to ProtoConn.  [Sean Whitton]
  * Overhaul of tag2upload-oracled/dgit-repos-server API.  [Sean Whitton]
  * Improvements to test suite.  [Ian Jackosn & Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 31 Dec 2025 15:24:52 +0000
