## dgit 14.1~bpo13+1

=== debian/changelog ===
dgit (14.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Jan 2026 11:00:54 +0000

dgit (14.1) unstable; urgency=medium

  * tests: gitattributes: Add git-deborig dependencies to fix autopkgtests.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 01 Jan 2026 19:11:29 +0000
