## dgit 14.2~bpo13+1

=== debian/changelog ===
dgit (14.2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 14 Jan 2026 11:17:47 +0000

dgit (14.2) unstable; urgency=medium

  tag2upload:
  * Send emails to the uploading user in all failure paths, using the
    address in the tag's tagger line (from the Manaager) if necessary,
    and by telling the Manager `email unreported` when that's not possible.
  * If we a job arrives when a host is about to reboot, call it a retriable
    failure.  (Not wholly effective; see also #1125239.)  [Sean Whitton]

  tag2upload development:
  * o2m protocol version 7, convey the user's email address,
  * Move retry schedule docs to tag2upload-service-manager.git.
  * Rename "noreply" config to "from".  (We're using a deliverable address.)
  * Many improvements to oracled's logging.  [Sean Whitton, Ian Jackson]
  * tests: t2u-integration: Provide configuration used by t2usm email feature.
  * Many supporting (and testing) changes.  [Sean Whitton, Ian Jackson]

  Testing:
  * Unset http_proxy (to make tests more self-contained).
  * When polling for perhaps a long time, start much faster.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 11 Jan 2026 23:40:11 +0000
