## dgit 14.3

=== debian/changelog ===
dgit (14.3) unstable; urgency=medium

  tag2upload development [Ian Jackson]:
  * Make some failures retriable:
    - when 'dgit download-unfetched-origs' fails to query the archive
      (e.g. a connection timeout)
    - when regenerating the orig fails but the correct one might become
      available via the archive later
    - when fetching from salsa fails with a HTTP 500 series error
      Closes: #1112106.
  * Use actual job status in email Subject.
    Main change is that users will see "irrecoverable" instead of "failed".
  * Define o2m protocol version 8 to convey software versions.
  * Include the last attempt message on in the summary, not the transcript.
  * tag2upload-obtain-origs: Fix an argument checking bug.
  * When running tag2upload-* scripts fails, put script name in the report.
  * Supporting internal changes, including breaking out a new script
    'tag2upload-fetch-inputs'.

  tag2upload-oracled:
  * New --version option.

  Documentation:
  * dgit-maint-{debrebase,merge,gbp,native}(7):
    Say to upload with git-debpush.
  * dgit-maint-bpo(7), dgit-sponsorship(7), dgit-nmu-simple(7):
    Mention git-debpush where appropriate.
  * dgit-maint-{debrebase,merge}(7): Always push to salsa.
  * dgit-maint-debrebase(7): Recommend 'git debrebase quick',
    not 'git debrebase', right before uploading.  Closes: #1111233.
  * dgit(1): Fix a formatting error.  [Ian Jackson]

  i18n [Américo Monteiro]:
  * pt: New translation for dgit's messages.  Closes: #1125493.
  * pt: Updated dgit(1), dgit-downstream-dsc(7).  Closes: #1125499.

  Test suite [Ian Jackson]:
  * t2u-email: Add bounds so that we detect text added to beginning and end.
  * t2u: When grepping e-mails, grep only the body parts.
  * http-static-server: Yield better HTTP status codes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Jan 2026 14:58:07 +0000
