## dgit 14.4

=== debian/changelog ===
dgit (14.4) unstable; urgency=medium

  tag2upload development [Sean Whitton]
  * oracled: Speak manager protocol version 8, reporting software versions.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 19 Jan 2026 22:07:51 +0000
