## dgit 14.5~bpo13+1

=== debian/changelog ===
dgit (14.5~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 29 Jan 2026 17:55:18 +0000

dgit (14.5) unstable; urgency=medium

  Manpage fixes (fixes warnings from new groff [Colin Watson]:
  * dgit(1): Remove duplicate `.TP` request.
  * tests: manpages-format: Ignore font name warnings

  tag2upload development:
  * Fixes relating to email reports:
    - Do not CC the tag signer if we're not emailing the tagger.
    - On failed last attempt, report "failed" in X-headers and Subject.
    - Fix a fd concurrency bug which can garble gpg output in email reports.
    - Wrap recipient headers.
    - oracle not longer wrongly says "email reported" on retriable failure
      (this bug would prevent the ultimate report to the user).
    - Restore the inclusion of the exit status from tag2upload-obtain-origs.
  * Fix and improve reporting of software versions by oracled
    [Sean Whitton and Ian Jackson]
  * oracle-to-manager protocol clarifications/corrections.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 26 Jan 2026 21:06:14 +0000
