## dgit 14.6

=== debian/changelog ===
dgit (14.6) unstable; urgency=medium

  * tests: Set SEQUOIA_CRYPTO_POLICY to work around apt's
    date-based SHA1 deprecation, which trips on our test keys.
    [Report from Simon McVittie]  Mitigates #1126793.
  * tests: t2u-gbp: Avoid spawning an editor if run interactively.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 01 Feb 2026 16:02:24 +0000
