## dgit 14.7~bpo13+1

=== debian/changelog ===
dgit (14.7~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Feb 2026 11:13:38 +0000

dgit (14.7) unstable; urgency=medium

  tag2upload development:
  * tag2upload-oracled: Provide complete error message when reboot lock held.

  Fixes for gnupg/sqv incompatibilities in tests:
  * Update key self-cert hashes to fix test failure complaining about SHA1.
    Closes: #1126793.  [Report and suggestion from Simon McVittie]
  * Migrate to new gnupg secret key format for in-tree keys.
  * Revert attempted use of SEQUOIA_CRYPTO_POLICY (which is broken).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 02 Feb 2026 20:16:08 +0000
